
Installer - Feature #27069

Implement initial EL8 support

06/17/2019 08:56 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/366

  

Description

Within RH there's an internal effort (until CentOS 8 is out when we can build upstream) to investigate running on RHEL8. A few

modules have received patches to allow the installation. This requires some minor module updates, but they've been used in nightly

and don't change anything on EL7 so should be safe.

Note that this does not work upstream since there's no upstream EL8 packages.

Subtasks:

Tracker # 29189: installer puppet modules should run on el8 Resolved

  Feature # 29190: puppet-pulpcore should run on el8 Closed

  Feature # 29192: puppet-apache should run on el8 Resolved

  Feature # 29194: puppet-candlepin should run on el8 Closed

  Feature # 29195: puppet-certs should run on el8 Closed

  Feature # 29196: puppet-concat should run on el8 Resolved

  Feature # 29198: puppet-dhcp should run on el8 Closed

  Feature # 29210: puppet-dns should run on el8 Closed

  Feature # 29211: puppet-extlib should run on el8 Closed

  Feature # 29212: puppet-foreman should run on el8 Closed

  Feature # 29213: puppet-foreman_proxy should run on el8 Closed

  Feature # 29214: puppet-foreman_proxy_content should run on el8 Closed

  Feature # 29215: puppet-katello should run on el8 Closed

  Feature # 29216: puppet-systemd should run on el8 Resolved

  Feature # 29217: puppet-tftp should run on el8 Closed

  Feature # 29218: puppet-xinetd should run on el8 Resolved

  Feature # 29735: puppet-puppet should run on el8 Closed

History

#1 - 06/17/2019 08:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/366 added

#2 - 08/27/2019 07:34 AM - Tomer Brisker

- Status changed from Ready For Testing to New

- Target version changed from 1.22.1 to 1.24.0

- Fixed in Releases deleted (1.22.1)

#3 - 10/30/2019 12:55 PM - Ewoud Kohl van Wijngaarden
- Target version changed from 1.24.0 to 2.0.0

We don't have EL8 packages yet so pushing it to the next release.

#4 - 02/18/2020 11:53 AM - Tomer Brisker

- Target version changed from 2.0.0 to 2.1.0

This didn't make the cut for 2.0.

#5 - 05/25/2020 02:18 PM - Tomer Brisker

- Status changed from New to Closed

- Fixed in Releases 2.1.0 added
